{% set CodiceModulo = "DOM_VARFER_TRASCO" %}
{% set Urn = "document:c_g920:variazione.fermata.trasporto;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di variazione della fermata assegnata per il trasporto scolastico"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di variazione della fermata assegnata per il trasporto scolastico {% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma( firmatario = "Il dichiarante" ) }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - variazione della fermata assegnata per il trasporto scolastico'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di variazione della fermata assegnata per il trasporto scolastico </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del minore", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}      

<div class="container">
  <div class="title-3"> CHIEDE </div>
</div>

<div class="container">
  <div class="form-check indent-1">
    <div id="Tassonomia_Chiede" name="Tassonomia_Chiede" label="chiede" mandatory_enabled="true"></div>
    <input class="form-check-input" group="Tassonomia_Chiede" id="Tassonomia_Chiede1" name="Tassonomia_Chiede1" type="radio" value="SI" checked="checked">
    <label class="form-check-label text-justify" for="Tassonomia_Chiede1"> la variazione della fermata assegnata per il trasporto scolastico </label>
    <div class="containerindentato border bg-light pl-0">
        <div class="form-row" mandatory_enabled="#Tassonomia_Chiede1.checked()">
          <div class="form-group col-lg-1">
            <label for="Parametri_ProvinciaAttuale"> Provincia </label>
            <input class="form-control" id="Parametri_ProvinciaAttuale" name="Parametri_ProvinciaAttuale" label="Provincia">
          </div>
          <div class="form-group col-lg-3">
            <label for="Parametri_ComuneAttuale"> Comune </label>
            <input class="form-control" id="Parametri_ComuneAttuale" name="Parametri_ComuneAttuale" label="Comune">
          </div>
          <div class="form-group col-lg-4">
            <label for="Parametri_IndirizzoAttuale"> Indirizzo attuale </label>
            <input class="form-control" id="Parametri_IndirizzoAttuale" name="Parametri_IndirizzoAttuale" label="Indirizzo attuale">
          </div>
          <div class="form-group col-lg-2">
            <label for="Parametri_CivicoAttuale"> Civico </label>
            <input class="form-control" id="Parametri_CivicoAttuale" name="Parametri_CivicoAttuale" label="Civico">
          </div>
          <div class="form-group col-lg-2">
            <label for="Parametri_CAPAttuale"> CAP </label>
            <input class="form-control" id="Parametri_CAPAttuale" name="Parametri_CAPAttuale" label="CAP">
          </div>
          <div class="form-group col-lg-1">
              <label for="Parametri_ProvinciaNuovo"> Provincia </label>
              <input class="form-control" id="Parametri_ProvinciaNuovo" name="Parametri_ProvinciaNuovo" label="Provincia">
            </div>
            <div class="form-group col-lg-3">
              <label for="Parametri_ComuneNuovo"> Comune </label>
              <input class="form-control" id="Parametri_ComuneNuovo" name="Parametri_ComuneNuovo" label="Comune">
            </div>
            <div class="form-group col-lg-4">
              <label for="Parametri_IndirizzoNuovo"> Indirizzo nuovo </label>
              <input class="form-control" id="Parametri_IndirizzoNuovo" name="Parametri_IndirizzoNuovo" label="Indirizzo Nuovo">
            </div>
            <div class="form-group col-lg-2">
              <label for="Parametri_CivicoNuovo"> Civico </label>
              <input class="form-control" id="Parametri_CivicoNuovo" name="Parametri_CivicoNuovo" label="Civico">
            </div>
            <div class="form-group col-lg-2">
              <label for="Parametri_CAPNuovo"> CAP </label>
              <input class="form-control" id="Parametri_CAPNuovo" name="Parametri_CAPNuovo" label="CAP">
            </div>
        </div>
      </div>
  </div>
</div>

<div class="container border bg-light">
    <div class="form-row">
      <div class="col-lg-12">
        <span class="title"> per la seguente tratta </span>
      </div>
      <div class="form-group col-lg-12">
        <label for=""> Tratta </label>
      </div>
    </div>
    {% set testi = [
      "andata",
      "ritorno",
      "rientri"
    ]%}
    {% for testo in testi %}
    <div class="form-check indent-1">
      {% if loop.first %} <div id="Tassonomia_Tratta" name="Tassonomia_Tratta" label="Tratta" mandatory_enabled="#Tassonomia_Chiede1.checked()"></div>{% endif %}
      <input class="form-check-input" group="Tassonomia_Tratta" id="Tassonomia_Tratta{{ loop.index }}" name="Tassonomia_Tratta{{ loop.index }}" type="checkbox" value="SI">
      <label class="form-check-label text-justify" for="Tassonomia_Tratta{{ loop.index }}"> {{ testo|safe }} </label>
    </div>
    {% endfor %}
    <globo_salto_pagina></globo_salto_pagina>
    <div class="form-check indent-1">
      <input class="form-check-input" group="Tassonomia_Tratta" id="Tassonomia_Tratta4" name="Tassonomia_Tratta4" type="checkbox" value="SI">
      <label class="form-check-label text-justify" for="Tassonomia_Tratta4"> altro </label>
      <div class="form-row" mandatory_enabled="#Tassonomia_Tratta4.checked()">
        <div class="form-group col-lg-12">
          <label for="Parametri_Spec"> Specificare </label>
          <input class="form-control" id="Parametri_Spec" name="Parametri_Spec" label="Specificare">
        </div>
      </div>
    </div>
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="#Tassonomia_Chiede1.checked()">
    <div class="col-lg-12">
      <span class="title"> per il seguente periodo e motivazione </span>
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_SpecPeriodo"> Specificare il periodo </label>
      <input class="form-control" id="Parametri_SpecPeriodo" name="Parametri_SpecPeriodo" label="Specificare il periodo">
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_SpecMotivazione"> Specificare la motivazione </label>
      <textarea class="form-control" id="Parametri_SpecMotivazione" name="Parametri_SpecMotivazione" label="Specificare la motivazione"></textarea>
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}